CREATE TABLE ce_cp_bank_account_dim (
    BANK_ACCOUNT_NAME      VARCHAR2(320),
    BANK_ACCOUNT_NUMBER    VARCHAR2(320),
    SOURCE_SYSTEM          VARCHAR2(200),
    BANK_NAME              VARCHAR2(320),
    CREATED_BY             VARCHAR2(256)    NOT NULL,
    CREATION_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128),
    ACCOUNT_ACTIVE_FLAG    VARCHAR2(4)  ,
    BANK_ACCOUNT_NAME      VARCHAR2(320),
    BANK_ACCOUNT_NUMBER    VARCHAR2(320),
    SOURCE_SYSTEM          VARCHAR2(200),
    BANK_NAME              VARCHAR2(320),
    CREATED_BY             VARCHAR2(256)    NOT NULL,
    CREATION_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128),
    ACCOUNT_ACTIVE_FLAG    VARCHAR2(4)  ,
    CONSTRAINT pk_ce_cp_bank_account_dim PRIMARY KEY (BANK_ACCOUNT_NAME, BANK_NAME, BANK_ACCOUNT_NAME, BANK_NAME)
);
